Package org.bgerp.action

# Class MessageAction

java.lang.Object
org.apache.struts.action.Action
org.apache.struts.actions.BaseAction
org.apache.struts.actions.DispatchAction
org.bgerp.action.base.BaseAction
org.bgerp.action.MessageAction

public class MessageAction extends BaseAction

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `ACTION_MODIFY_NOT_OWNED`
  Special action for edit and delete not owned messages.
  `static final String`
  `UNPROCESSED_MESSAGES_PERSONAL_KEY`
  Key for storing counter in personalization map.

  ### Fields inherited from class org.bgerp.action.base.BaseAction

  `l, log, MAPPER, PATH_JSP_ADMIN, PATH_JSP_OPEN, PATH_JSP_USER, PATH_JSP_USERMOB, setup`

  ### Fields inherited from class org.apache.struts.actions.DispatchAction

  `clazz, methods, types`

  ### Fields inherited from class org.apache.struts.actions.BaseAction

  `messages`

  ### Fields inherited from class org.apache.struts.action.Action

  `servlet`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MessageAction()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `org.apache.struts.action.ActionForward`
  `message(DynActionForm form, ConnectionSet conSet)`
  `org.apache.struts.action.ActionForward`
  `messageDelete(DynActionForm form, ConnectionSet conSet)`
  `org.apache.struts.action.ActionForward`
  `messageList(DynActionForm form, ConnectionSet conSet)`
  `org.apache.struts.action.ActionForward`
  `messageToggleTags(DynActionForm form, Connection con)`
  `org.apache.struts.action.ActionForward`
  `messageUpdateProcess(DynActionForm form, Connection con)`
  Important, called also in `processCreate(DynActionForm, ConnectionSet)`
  `org.apache.struts.action.ActionForward`
  `messageUpdateProcessToCopy(DynActionForm form, Connection con)`
  `org.apache.struts.action.ActionForward`
  `messageUpdateRead(DynActionForm form, Connection con)`
  `org.apache.struts.action.ActionForward`
  `messageUpdateTags(DynActionForm form, Connection con)`
  `org.apache.struts.action.ActionForward`
  `modifyNotOwned(DynActionForm form, ConnectionSet conSet)`
  `org.apache.struts.action.ActionForward`
  `newMessageLoad(DynActionForm form, ConnectionSet conSet)`
  `org.apache.struts.action.ActionForward`
  `processCreate(DynActionForm form, ConnectionSet conSet)`
  `org.apache.struts.action.ActionForward`
  `processMessageCreateEdit(DynActionForm form, ConnectionSet conSet)`
  `org.apache.struts.action.ActionForward`
  `processMessageCreateUpdate(DynActionForm form, Connection con)`
  `org.apache.struts.action.ActionForward`
  `processMessageDelete(DynActionForm form, ConnectionSet conSet)`
  `org.apache.struts.action.ActionForward`
  `processMessageEdit(DynActionForm form, ConnectionSet conSet)`
  `org.apache.struts.action.ActionForward`
  `processMessageList(DynActionForm form, ConnectionSet conSet)`
  `org.apache.struts.action.ActionForward`
  `processMessageUpdate(DynActionForm form, Connection con)`
  `org.apache.struts.action.ActionForward`
  `template(DynActionForm form, ConnectionSet conSet)`
  `org.apache.struts.action.ActionForward`
  `unspecified(DynActionForm form, ConnectionSet conSet)`
  Default action method if no parameter 'action' passed.

  ### Methods inherited from class org.bgerp.action.base.BaseAction

  `checkModified, dispatchMethod, getParameter, html, html, json, json, permissionCheck, restoreRequestParams, unspecified, updatePersonalization`

  ### Methods inherited from class org.apache.struts.actions.DispatchAction

  `cancelled, execute, getMethod, getMethodName, unspecified`

  ### Methods inherited from class org.apache.struts.action.Action

  `addErrors, addMessages, execute, generateToken, getErrors, getLocale, getMessages, getResources, getResources, getServlet, isCancelled, isTokenValid, isTokenValid, resetToken, saveErrors, saveErrors, saveMessages, saveMessages, saveToken, setLocale, setServlet`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### UNPROCESSED_MESSAGES_PERSONAL_KEY

    public static final String UNPROCESSED_MESSAGES_PERSONAL_KEY
    Key for storing counter in personalization map.
    See Also:
      - Constant Field Values

  - ### ACTION_MODIFY_NOT_OWNED

    public static final String ACTION_MODIFY_NOT_OWNED
    Special action for edit and delete not owned messages.

- ## Constructor Details

  - ### MessageAction

    public MessageAction()

- ## Method Details

  - ### unspecified

    public org.apache.struts.action.ActionForward unspecified(DynActionForm form, ConnectionSet conSet) throws Exception
    Description copied from class: `BaseAction`
    Default action method if no parameter 'action' passed. Overwrite and implement.
    Overrides:
      `unspecified` in class `BaseAction`
    Parameters:
      `form` -
      `conSet` -
    Returns:
    Throws:
      `Exception`

  - ### message

    public org.apache.struts.action.ActionForward message(DynActionForm form, ConnectionSet conSet) throws Exception
    Throws:
      `Exception`

  - ### messageUpdateProcess

    public org.apache.struts.action.ActionForward messageUpdateProcess(DynActionForm form, Connection con) throws Exception
    Important, called also in `processCreate(DynActionForm, ConnectionSet)`
    Throws:
      `Exception`

  - ### messageUpdateTags

    public org.apache.struts.action.ActionForward messageUpdateTags(DynActionForm form, Connection con) throws Exception
    Throws:
      `Exception`

  - ### messageToggleTags

    public org.apache.struts.action.ActionForward messageToggleTags(DynActionForm form, Connection con) throws SQLException
    Throws:
      `SQLException`

  - ### messageUpdateRead

    public org.apache.struts.action.ActionForward messageUpdateRead(DynActionForm form, Connection con) throws Exception
    Throws:
      `Exception`

  - ### messageUpdateProcessToCopy

    public org.apache.struts.action.ActionForward messageUpdateProcessToCopy(DynActionForm form, Connection con) throws Exception
    Throws:
      `Exception`

  - ### messageDelete

    public org.apache.struts.action.ActionForward messageDelete(DynActionForm form, ConnectionSet conSet) throws Exception
    Throws:
      `Exception`

  - ### messageList

    public org.apache.struts.action.ActionForward messageList(DynActionForm form, ConnectionSet conSet) throws Exception
    Throws:
      `Exception`

  - ### newMessageLoad

    public org.apache.struts.action.ActionForward newMessageLoad(DynActionForm form, ConnectionSet conSet) throws Exception
    Throws:
      `Exception`

  - ### processCreate

    public org.apache.struts.action.ActionForward processCreate(DynActionForm form, ConnectionSet conSet) throws Exception
    Throws:
      `Exception`

  - ### processMessageList

    public org.apache.struts.action.ActionForward processMessageList(DynActionForm form, ConnectionSet conSet) throws Exception
    Throws:
      `Exception`

  - ### processMessageCreateEdit

    public org.apache.struts.action.ActionForward processMessageCreateEdit(DynActionForm form, ConnectionSet conSet) throws Exception
    Throws:
      `Exception`

  - ### processMessageCreateUpdate

    public org.apache.struts.action.ActionForward processMessageCreateUpdate(DynActionForm form, Connection con) throws Exception
    Throws:
      `Exception`

  - ### processMessageEdit

    public org.apache.struts.action.ActionForward processMessageEdit(DynActionForm form, ConnectionSet conSet) throws Exception
    Throws:
      `Exception`

  - ### processMessageUpdate

    public org.apache.struts.action.ActionForward processMessageUpdate(DynActionForm form, Connection con) throws Exception
    Throws:
      `Exception`

  - ### processMessageDelete

    public org.apache.struts.action.ActionForward processMessageDelete(DynActionForm form, ConnectionSet conSet) throws Exception
    Throws:
      `Exception`

  - ### modifyNotOwned

    public org.apache.struts.action.ActionForward modifyNotOwned(DynActionForm form, ConnectionSet conSet)

  - ### template

    public org.apache.struts.action.ActionForward template(DynActionForm form, ConnectionSet conSet)